Download it now!
Bug 89384 - New Edit / Read Only mode bar is not visible on DOC files
Summary: New Edit / Read Only mode bar is not visible on DOC files
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Infobar
  Show dependency treegraph
 
Reported: 2015-02-14 22:05 UTC by Zeki Bildirici
Modified: 2020-10-27 04:25 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample DOC file (9.00 KB, application/msword)
2015-02-14 22:05 UTC, Zeki Bildirici
Details
Sample DOC file - 2 (9.00 KB, application/msword)
2015-02-14 22:05 UTC, Zeki Bildirici
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zeki Bildirici 2015-02-14 22:05:01 UTC
Created attachment 113390 [details]
Sample DOC file

Hi,

The new editing / Read only mode toolbar(1) is not visible on DOC files. I think it is because the Edit Mode button is removed from the default toolbar and it is not activated while viewing DOC files.

If you add the button to the toolbar again and activate it (or press Ctrl + Shift + M) the new warning bar appears.

On the other hand, if you save the document with 'Open in Read Only mode' checkbox checked. The file will be opened without the new warning bar. İf Edit mode button is active, the file is opened in edit mode. Word 2013 opens in edit mode i/o read only too.

Password for attached files:

Opening Password: a
Editing password: b (if asked)

1- https://wiki.documentfoundation.org/ReleaseNotes/4.4#Edit_.2F_Read-only_mode

Best regards,
Zeki
Comment 1 Zeki Bildirici 2015-02-14 22:05:20 UTC
Created attachment 113391 [details]
Sample DOC file - 2
Comment 2 tommy27 2015-02-19 06:36:20 UTC Comment hidden (obsolete)
Comment 3 Yousuf Philips (jay) (retired) 2015-02-19 18:16:23 UTC
This is not related to the change made in 4.4, as opening the document in 4.3.5 behaves in the same manner. The 4.4 change was for a read-only file at the system level, while this is a read-only file at the document level.

How does one activate edit mode after an edit password has been set?
Comment 4 Zeki Bildirici 2015-02-19 19:48:42 UTC Comment hidden (obsolete)
Comment 5 pierre-yves samyn 2015-06-19 07:45:45 UTC
Hi

(In reply to Zeki Bildirici from comment #4)
> (In reply to Jay Philips from comment #3)
> 
> > How does one activate edit mode after an edit password has been set?
> Sorry, I couldn't understand what info should i serve for needinfo tag.
> 

I agree. The Issue is reproducible with your indications.

Step by step:
1. File> Open> Pass-test-DOC.doc
2. Give the password (a), Document opens

Expected result: read only info toolbar should be displayed
Actual result: it is not

Platform: Windows 7/64 & Version: 4.4.4.2
Build ID: f784c932ccfd756d01b70b6bb5e09ff62e1b3285
Locale : fr_FR

So I set status to New. Thank you for reporting.

The additional information requested is on another bug: unable to edit the document after clicking the Edit button.


Regards
Pierre-Yves
Comment 6 QA Administrators 2016-09-20 10:10:15 UTC Comment hidden (obsolete)
Comment 7 Zineta 2017-10-26 12:29:29 UTC
The same behaviour with win 7 LO 4.4.6 , LO 5.2.7 and LO 6.0.0 :read only info toolbar not visible by default in doc file, only after Ctrl + Shift + M and not editable too (Bug #89385).

With LO 6.0.0  even when open odt file protected for editing,
read only mode toolbar does not appear at all (seems like regression in comparison with  5.2.7).
Version: 6.0.0.0.alpha1+ (x64)
Build ID: 141279127b4c9ced4d86af245e1d780c473cd5bb
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-10-25_02:50:04
Comment 8 QA Administrators 2018-10-27 02:55:05 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2020-10-27 04:25:52 UTC
Dear Zeki Bildirici,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug